[arch-commits] CVS update of extra/emulators/uml_utilities (PKGBUILD)

Thomas Baechler thomas at archlinux.org
Sun Aug 26 08:51:30 EDT 2007


    Date: Sunday, August 26, 2007 @ 08:51:30
  Author: thomas
    Path: /home/cvs-extra/extra/emulators/uml_utilities

Modified: PKGBUILD (1.13 -> 1.14)

upgpkg: uml_utilities 20070815-1


----------+
 PKGBUILD |   14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)


Index: extra/emulators/uml_utilities/PKGBUILD
diff -u extra/emulators/uml_utilities/PKGBUILD:1.13 extra/emulators/uml_utilities/PKGBUILD:1.14
--- extra/emulators/uml_utilities/PKGBUILD:1.13	Wed Apr  4 14:38:58 2007
+++ extra/emulators/uml_utilities/PKGBUILD	Sun Aug 26 08:51:29 2007
@@ -1,18 +1,20 @@
-# $Id: PKGBUILD,v 1.13 2007/04/04 18:38:58 juergen Exp $
+# $Id: PKGBUILD,v 1.14 2007/08/26 12:51:29 thomas Exp $
 # Contributor: Jason Chu <jason at archlinux.org>
 # Maintainer: Juergen Hoetzel <juergen at archlinux.org>
 pkgname=uml_utilities
-pkgver=20060323
+pkgver=20070815
 pkgrel=1
 pkgdesc="User Mode Linux Utilities"
 arch=(i686 x86_64)
-depends=('glibc' 'ncurses' 'readline')
+depends=('fuse' 'readline')
 url="http://user-mode-linux.sourceforge.net/"
-source=(http://www.user-mode-linux.org/~blaisorblade/uml-utilities/uml_utilities_$pkgver.tar.bz2)
-md5sums=('2d6678c939093a8212f994005a393508')
+source=(http://user-mode-linux.sourceforge.net/${pkgname}_${pkgver}.tar.bz2)
+md5sums=('b0468ac8b79cef53f36f5f9517907462')
 
 build() {
   cd $startdir/src/tools-$pkgver
+  sed 's|lib64|lib|g' -i Makefile
   make all|| return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR=$startdir/pkg install || return 1
+  chown root $startdir/pkg/usr/bin/*
 }




More information about the arch-commits mailing list